mldonkey (3.1.6-1.lnd.2) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 16:04:03 +0800

mldonkey (3.1.6-1.lnd.1) unstable; urgency=medium

  * Fix LoongArch Dword hword word.

 -- zhangjialing <zhangjialing@loongson.cn>  Tue, 29 Jun 2021 16:53:28 +0800

mldonkey (3.1.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream. This release compiles on ocaml 4.05 (closes:  #876735)
    - refreshed patch 0001-Use-usr-bin-see-as-default-previewer.patch
    - dropped patch 0004-Fix-compilation-with-OCaml-4.02.patch
  * Changed build-dependency on libgd2-xpm-dev to libgd-dev (closes: #880775)
  * debian/watch: point to github
  * Debhelper compatibility level 10:
    - dropped build-dependency on autotools-dev 
  * Dropped build-dependency on obsolete ocaml-best-compilers
  * Added build-dependency on ocamlbuild
  * Standards-Version 4.1.1
  * - drop debian/mldonkey-gui.menu

 -- Ralf Treinen <treinen@debian.org>  Tue, 07 Nov 2017 21:18:26 +0100

mldonkey (3.1.5-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use -std=gnu++98 to workaround FTBFS on ppc64el,
    thanks to Frederic Bonnard. (Closes: #859965)
  * Add Brazilian Portuguese debconf templates translation
    from Eder L. Marques. (Closes: #795366)

 -- Adrian Bunk <bunk@debian.org>  Wed, 26 Apr 2017 10:10:51 +0300

mldonkey (3.1.5-3) unstable; urgency=medium

  * Team upload
  * Remove myself from Uploaders
  * Fix compilation with OCaml 4.02

 -- Stéphane Glondu <glondu@debian.org>  Wed, 14 Oct 2015 10:05:31 +0200

mldonkey (3.1.5-2) unstable; urgency=medium

  * Build svg_converter.byte to avoid FTBFS (Closes: #749371).

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 09 Aug 2014 11:10:12 +0200

mldonkey (3.1.5-1) unstable; urgency=low

  [ Mehdi Dogguy ]
  * New upstream release.
  * Redirect startup output into the log file (Closes: #708870)

  [ Peter Eisentraut ]
  * Add support for "status" action to mldonkey-server init script (Closes: #647719)

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 27 Mar 2014 00:37:41 +0100

mldonkey (3.1.3-1) unstable; urgency=low

  [ Mehdi Dogguy ]
  * Set filter-pristine-tar=True in debian/gbp.conf

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

  [ Stéphane Glondu ]
  * New upstream release (Closes: #712075)
  * Use canonical URLs in Vcs-* fields

 -- Stéphane Glondu <glondu@debian.org>  Wed, 12 Jun 2013 21:32:25 +0200

mldonkey (3.1.2-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.3 (no changes)

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 06 Jun 2012 14:37:35 +0200

mldonkey (3.1.1-1) unstable; urgency=low

  * New upstream release
    - fix FTBFS with GCC 4.7 (Closes: #667283)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 11 Apr 2012 21:27:45 +0200

mldonkey (3.1.0-3) unstable; urgency=low

  * Enable hardened build flags through dpkg-buildflags (Closes: #655140).
    Thanks to Moritz Muehlenhoff for reporting it and providing a patch.

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 09 Jan 2012 12:27:37 +0100

mldonkey (3.1.0-2) unstable; urgency=low

  * Remove /var/lib/mldonkey on purge

 -- Stéphane Glondu <glondu@debian.org>  Thu, 15 Sep 2011 00:04:12 +0200

mldonkey (3.1.0-1) unstable; urgency=low

  * New upstream release (Closes: #637646)
    - remove Add-a-constructor-to-NullNameValuePairs-in-CryptoPP..patch
      (applied upstream)
  * Remove /var/lib/mldonkey/downloads.ini on purge

 -- Stéphane Glondu <glondu@debian.org>  Thu, 08 Sep 2011 20:33:21 +0200

mldonkey (3.0.7-2) unstable; urgency=low

  * Fix FTBFS with g++ 4.6 (Closes: #625051)
  * Remove unused mldonkey-server/fasttrack_problem template
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 07 May 2011 15:38:22 +0200

mldonkey (3.0.7-1) unstable; urgency=low

  * New upstream release (Closes: #599204)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 12 Feb 2011 17:20:32 +0100

mldonkey (3.0.3-4) unstable; urgency=low

  * Fix a typo in mldonkey-server.postrm: s/lib/log, thanks to adsb
    for the review.

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 27 Oct 2010 21:55:38 +0200

mldonkey (3.0.3-3) unstable; urgency=low

  * Do not erase existing configuration on upgrades (Closes: #601332, #522900),
    (LP: #478206).
  * Recursively chown /var/{log,run}/mldonkey (Closes: #593091).
  * Remove /var/{log,run}/mldonkey on purge.

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 26 Oct 2010 06:31:48 +0200

mldonkey (3.0.3-2) unstable; urgency=low

  * Add myself to Uploaders
  * Add Danish debconf translation (Closes: #599126)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 05 Oct 2010 10:44:57 +0200

mldonkey (3.0.3-1) unstable; urgency=low

  * Team upload.
  * New upstream release (Closes: #580087)
  * Switch source package format to 3.0 (quilt)
  * Fix numerous Lintian tags

 -- Stéphane Glondu <glondu@debian.org>  Thu, 05 Aug 2010 22:35:32 -0400

mldonkey (3.0.1-1) unstable; urgency=low

  * New upstream release
    - Fix download of torrent files with no 'announce' field (Closes: #551896)
    - Fix torrent parsing when announce-list is empty (Closes: #552004)
  * Update my e-mail address and remove DMUA
  * Refresh packaging
    - Use new features of dh-ocaml 0.9
    - Use debhelper's overrides
  * Pass "--iosched idle" to start-stop-daemon (Closes: #549498)
  * Rotate the log files found in /var/log/mldonkey/ (Closes: #539726)
  * Modify ocaml_3.11.1 so that it works with all 3.11.* versions

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 11 Feb 2010 23:05:41 +0100

mldonkey (3.0.0-3) unstable; urgency=low

  [ Samuel Mimram ]
  * Update Spanish debconf translation, closes: #524447.

  [ Mehdi Dogguy ]
  * Remove useless file: /var/log/mldonkey/mldonkey-server.log.
  * Update build-dependencies to ease OCaml 3.11.1 transition.
  * Add a patch ocaml_3.11.1 to let mldonkey build with OCaml 3.11.1.
  * Add a patch to remove bashism from script make_buginfo, Closes: #530141.

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Sat, 04 Jul 2009 21:38:05 +0200

mldonkey (3.0.0-2) unstable; urgency=low

  * Init script now exports default locale found in /etc/default/locale
    (when the file exists), closes: #473133.
  * Remove msse2 flag for i386 architecture as it leads to illegal instruction
    on some processors, closes: #520093.

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Tue, 17 Mar 2009 13:18:57 +0100

mldonkey (3.0.0-1) unstable; urgency=low

  [ Sylvain Le Gall ]
  * Remove useless explanation in chroot section of README.Debian.
  * Add debian/gbp.conf to force using pristine-tar

  [ Stephane Glondu ]
  * Switch packaging to git.

  [ Samuel Mimram ]
  * New upstream release, closes: #508280.
  * Fixes alignement problem on ARM, closes: #487803.
  * Remove useless line in init script, closes: #509001.
  * Better handling of errors in init script, closes: #508538.
  * Pass --debconf-ok option to ucf, closes: #514449.
  * Mention default telnet port in README.Debian, closes: #508436.
  * Updated vietnamese debconf translation, closes: #513369.
  * Update standards version to 3.8.1.
  * Don't uselessly build-depend on dpkg-dev.
  * Version reference to GPL in copyright.

  [ Mehdi Dogguy ]
  * New upstream release, closes: #516829.
  * Bump standards version to 3.8.0, no changes needed.
  * Fix Lintian warning concerning debian/mldonkey-server.postinst: not
    specify full path of used commands.
  * Add ${misc:Depends} as a dependency for mldonkey-gui.
  * Add myself to uploaders.
  * Add DMUA flag (with Sam's blessing)
  * Add Homepage field
  * Use ocamlbuild to build utils
  * Add msse2 flag for i386 architecture
  * Simplify debian/rules
  * Create a manpage for mldonkey (link to mlnet's manpage for the moment)
  * Drop chrooted-mlnet support and do not suggest makejail anymore,
    closes: #204266.
  * Update/install NEWS.Debian and mention (again) removal of mldonkey_server
    (already mentioned in this changelog, entries 2.8.1-3, 2.8.3-2 and
    2.8.5-2), closes: #517996.
  * Add missing build-dependency libbz2-dev to enable Directconnect protocol.
  * Move mldonkey_{files,options,command,submit} to /usr/lib/mldonkey.
    Closes: #484674
  * Move the daemon's log in /var/log/mldonkey, closes: #508533.
  * Add debian/xml-man/generate-man to automatically generate manpages from
    help output, closes: #432205.
  * Remove some debconf questions, closes: #332324.

 -- Samuel Mimram <smimram@debian.org>  Mon, 16 Mar 2009 20:11:12 +0100

mldonkey (2.9.5-2) unstable; urgency=low

  [ Samuel Mimram ]
  * Enable directconnect protocol, closes: #481332.

  [ Christian Perrier ]
  * Fix pending l10n issues. Debconf translations:
    - Japanese. Closes: #498567

  [ Sylvain Le Gall ]
  * Acknowledge NMU

 -- Sylvain Le Gall <gildor@debian.org>  Mon, 27 Oct 2008 10:08:47 +0100

mldonkey (2.9.5-1.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - Italian. Closes: #480751
    - Finnish. Closes: #492549
    - Swedish. Closes: #493175
    - Russian. Closes: #493754
    - Japanese. Closes: #494399

 -- Christian Perrier <bubulle@debian.org>  Thu, 24 Jul 2008 08:44:48 +0200

mldonkey (2.9.5-1) unstable; urgency=low

  * New upstream release.
  * Removed useless mldonkey-server menu entries, closes: #465274.
  * Added Basque translation (thanks Piarres Beobide), closes: #470880.

 -- Samuel Mimram <smimram@debian.org>  Mon, 05 May 2008 22:29:36 +0200

mldonkey (2.9.4-1) unstable; urgency=low

  * New upstream release.
  * Rebuilding with OCaml 3.10.1 should fix crashed on amd64, closes: #439030.
  * Wait for mldonkey to stop in init script (thanks Trek), closes: #440551.

 -- Samuel Mimram <smimram@debian.org>  Sun, 02 Mar 2008 18:38:46 +0100

mldonkey (2.9.3-1) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

  [ Samuel Mimram ]
  * New upstream release.
  * Builds cleanly with gcc 4.3, closes: #456081.

 -- Samuel Mimram <smimram@debian.org>  Sat, 19 Jan 2008 15:58:14 +0100

mldonkey (2.9.2-3) unstable; urgency=low

  * Rebuild with latest liblablgtk2-ocaml-dev which fixes locales problems,
    closes: #452343, #453340.

 -- Samuel Mimram <smimram@debian.org>  Sat, 22 Dec 2007 14:26:48 +0100

mldonkey (2.9.2-2) unstable; urgency=low

  * Upload to unstable.

 -- Samuel Mimram <smimram@debian.org>  Fri, 16 Nov 2007 19:36:48 +0000

mldonkey (2.9.2-1) experimental; urgency=low

  * New upstream release.

 -- Samuel Mimram <smimram@debian.org>  Sun, 21 Oct 2007 18:26:04 +0000

mldonkey (2.9.1-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Mimram <smimram@debian.org>  Wed, 12 Sep 2007 16:34:11 +0200

mldonkey (2.9.0-3) unstable; urgency=low

  * Forgot to add a dependency on camlp4.

 -- Samuel Mimram <smimram@debian.org>  Sat, 08 Sep 2007 02:53:14 +0200

mldonkey (2.9.0-2) unstable; urgency=low

  * Rebuild with OCaml 3.10.

 -- Samuel Mimram <smimram@debian.org>  Sat, 08 Sep 2007 01:33:37 +0200

mldonkey (2.9.0-1) unstable; urgency=low

  [ Samuel Mimram ]
  * New upstream release.
  * Fixes CVE-2007-4100, closes: #435439.
  * Updated Catalan debconf translation, closes: #437308.

  [ Sylvain Le Gall ]
  * Use DTD from docbook-xml package and not from docbook package.
  * Format text of debian/changelog to 80 columns.
  * Move refentry.xml to refentryinfo.xml.

 -- Samuel Mimram <smimram@debian.org>  Sat, 11 Aug 2007 22:36:02 +0200

mldonkey (2.8.7-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Mimram <smimram@debian.org>  Sun, 03 Jun 2007 15:37:44 +0200

mldonkey (2.8.6-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Mimram <smimram@debian.org>  Sat, 02 Jun 2007 23:19:40 +0200

mldonkey (2.8.5-2) unstable; urgency=low

  * Removed mldonkey_users and mldonkey_server manpages and cleaned up
    README.Debian, closes: #422581.

 -- Samuel Mimram <smimram@debian.org>  Tue, 08 May 2007 13:08:23 +0200

mldonkey (2.8.5-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Mimram <smimram@debian.org>  Mon, 23 Apr 2007 11:33:00 +0000

mldonkey (2.8.4-2) unstable; urgency=low

  * Added a missing build-dependency on libxml2-utils which is needed for
    xmllint.
  * Removed arm_dynamic_loop_delay.dpatch, integrated upstream,
    closes: #417624.

 -- Samuel Mimram <smimram@debian.org>  Mon, 02 Apr 2007 09:12:54 +0200

mldonkey (2.8.4-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Mimram <smimram@debian.org>  Sun, 01 Apr 2007 23:58:37 +0200

mldonkey (2.8.3-2) unstable; urgency=low

  * Ask all debconf questions even when the server is not autmatically started
    since it is useful for force-start, closes: #414436.
  * Added a note in NEWS.Debian about the removal of mldonkey_server,
    closes: #410779.
  * Do not ask anymore for maximal time alive in debconf.
  * Added Duch debconf translation (thanks Bart Cornelis), closes: #413706.
  * Added Spanish debconf translation (thanks Manuel Porras Peralta),
    closes: #413778.
  * Added Portuguese debconf translation (thanks Luís Picciochi),
    closes: #415065.
  * Added Galician debconf translation (thanks Jacobo Tarrio),
    closes: #412793.

 -- Samuel Mimram <smimram@debian.org>  Sun, 18 Mar 2007 14:05:26 +0100

mldonkey (2.8.3-1) unstable; urgency=low

  * New upstream release.
  * Removed useradd.dpatch and avoid-duplicate-sending.dpatch, integrated
    upstream.
  * Updated Czech debconf translation (thanks Jan Outrata), closes: #408725.

 -- Samuel Mimram <smimram@debian.org>  Sun, 11 Feb 2007 17:28:49 +0100

mldonkey (2.8.2-2) unstable; urgency=low

  * Added avoid-duplicate-sending to fix a serious bug which lead mldonkey to
    uploading data blocks twice to eMule clients, closes: #406247.
  * Added useradd.dpatch to be able to add users using useradd command. However
    adding mldonkey users in postinst is a broken behaviour; not doing it
    anymore, closes: #397497. Not installing mldonkey_users anymore since it is
    not compatible with the new users.ini format.
  * Change uid of mldonkey on startup, closes: #405173.

 -- Samuel Mimram <smimram@debian.org>  Wed, 29 Nov 2006 00:10:25 +0000

mldonkey (2.8.2-1) unstable; urgency=low

  * New upstream release.
  - Should fix the DNS resolution problem, closes: #395068.
  - Removed newdns.dpatch, mlguistarter.dpatch and search.dpatch, integrated
    upstream.
  * mldonkey_users now uses "users2" section, closes: #397497.
  * Depending on dpkg (>= 1.13.24) in mldonkey-server to be sure that the
    --umask option of start-stop-daemon exists, closes: #400216.

 -- Samuel Mimram <smimram@debian.org>  Tue, 28 Nov 2006 23:55:52 +0000

mldonkey (2.8.1-3) unstable; urgency=low

  [ Samuel Mimram ]
  * Using start-stop-daemon to fully handle daemon, closes: #394543.
  * Not installing mldonkey_server anymore.
  * Using -pid option of mlnet to create the pidfile, closes: #341615.
  * Added mlguistarter.dpatch to print an error message when no argument is
    given to mlguistarter, closes: #396754.
  * Updated German debconf translation (thanks Matthias Julius),
    closes: #399962.
  * Added search.dpatch to support logical -not in searches, closes: #293016.
  * Update config.sub and config.guess in src/applets/kde/admin.

  [ Sylvain Le Gall ]
  * Upgrade debhelper debian/compat to 5,
  * Replace dependency Source-Version by binary:Version,
  * Add versioned Build-Depends on dpkg-dev (>= 1.13.19),
  * Update my email to gildor@debian.org everywhere,
  * Rewrite debian/xml-man/*.xml, to have valid docbook file and use
    xinclude,
  * Upgrade docbook version to 4.4,

 -- Samuel Mimram <smimram@debian.org>  Thu, 23 Nov 2006 10:48:54 +0000

mldonkey (2.8.1-2) unstable; urgency=low

  * Added newdns.dpatch to fix the DNS resolution problem with
    www.mldonkey.net, closes: #395068.
  * Creating mldonkey group as system group, closes: #389455.
  * Flushing after password prompt in mldonkey_command, closes: #391729.
  * Patched mldonkey_server to be able to run mldonkey even when HOME is not
    set (thanks Géraud Meyer), closes: #392604.
  * Cleanly handle erroneous --chuid / --chgid / --umask arguments in
    mldonkey_server (thanks Géraud Meyer), closes: #392605.
  * Fixed a typo in mldonkey_server (thanks Géraud Meyer), closes: #392617.
  * Change address of Sylvain Le Gall to gildor@debian.org.

 -- Samuel Mimram <smimram@debian.org>  Tue, 24 Oct 2006 21:29:32 +0000

mldonkey (2.8.1-1) unstable; urgency=low

  * New upstream release, closes: #387977. 

 -- Samuel Mimram <smimram@debian.org>  Mon, 18 Sep 2006 08:56:32 +0000

mldonkey (2.8.0-1) unstable; urgency=low

  * New upstream release, closes: #387260.
  * Removed cvs_20060911.dpatch and 02_usr_bin.dpatch.

 -- Samuel Mimram <smimram@debian.org>  Thu, 14 Sep 2006 19:04:21 +0000

mldonkey (2.7.7-10) unstable; urgency=low

  * Set CFLAGS according to the Debian policy, closes: #384205.
  * Updated to current CVS version (cvs_20060911.dpatch), closes: #385920.
  - Removed cryptoflags.dpatch, integrated upstream.
  - Updated 01_see.dpatch.
  * Added an LSB section to the init script of mldonkey_server.
  * Added make clean to the clean target of the rules.

 -- Samuel Mimram <smimram@debian.org>  Sun, 10 Sep 2006 22:39:10 +0000

mldonkey (2.7.7-9) unstable; urgency=low

  * Added cryptoflags.dpatch to use the -mno-omit-leaf-frame-pointer option
    only where available, closes: #383527.
  * Not installing mldonkey_create_chroot anymore for now, closes: #380222.
  * Correctly use --build and --host in configure.

 -- Samuel Mimram <smimram@debian.org>  Thu, 17 Aug 2006 17:09:00 +0000

mldonkey (2.7.7-8) unstable; urgency=low

  * Added a build-dependency on autoconf and regenerate the configure.
  * Use #!/bin/bash for mldonkey_create_chroot, closes: #380222.

 -- Samuel Mimram <smimram@debian.org>  Thu, 17 Aug 2006 11:44:10 +0000

mldonkey (2.7.7-7) unstable; urgency=low

  * Disabling libmagic support since it was causing a segfault,
    closes: #378831.
  * Added cvs_20060815.dpatch to have the current CVS version as requested by
    upstream, closes: #383187.
  - It is now possible to use the normal address/mask format in allowed_ips,
    closes: #344905.
  - Logging to syslog and to a file are now independent, closes: #254000.
  - This patch contains 03_lock_config_files_space.dpatch and 04_cfs.dpatch,
    which have been disabled.
  * Correct bashisms in mldonkey_create_chroot, closes: #380222.

 -- Samuel Mimram <smimram@debian.org>  Fri, 28 Jul 2006 18:29:28 +0200

mldonkey (2.7.7-6) unstable; urgency=low

  * Use POSIX way of defining functions for init_error, closes: #379142.

 -- Samuel Mimram <smimram@debian.org>  Mon, 24 Jul 2006 17:22:40 +0000

mldonkey (2.7.7-5) unstable; urgency=low

  * Retry to stop the deamon with the --oknodo option of start-stop-daemon if
    stopping fails in order to work around an old bug in the init.d script,
    closes: #378934.
  * chown /var/run/mldonkey only if both variables MLDONKEY_USER and
    MLDONKEY_GROUP are set, closes: #378603.
  * Added arm_dynamic_loop_delay.dpatch on arm only to avoid a freeze of
    mldonkey, closes: #370107.

 -- Samuel Mimram <smimram@debian.org>  Thu, 20 Jul 2006 18:26:02 +0000

mldonkey (2.7.7-4) unstable; urgency=low

  * Import patch from Ubuntu (thanks Reinhard Tartler) to handle systems where
    /var/run is cleaned on reboot, closes: #354701.
    - Introduce new config variable in /etc/default/mldonkey-server:
      MLDONKEY_USER. This variable is only used by the init script.
    - Mke the initscript create /var/run/mldonkey-server, setting correct
      owner and permissions.
  * Added 04_cfs.dpatch (thanks spiralvoice) to handle CFS filesystems which
    incorrectly report freespace, closes: #377865.
  * Added a build-dependency on libmagic-dev, closes: #378150.
  * Added a build-dependency on ocaml-best-compilers since mldonkey is a
    fairly big package to build.
  * We don't need to remove rpaths anymore.

 -- Samuel Mimram <smimram@debian.org>  Thu, 13 Jul 2006 12:49:45 +0000

mldonkey (2.7.7-3) unstable; urgency=low

  * Added 03_lock_config_files_space.dpatch in order to handle leftover
    config_files_space.tmp files, closes: #359237.
  * Removed obsolete configure options, closes: #375921. Also removed Soulseek
    and Opennap from the description.
  * Updated french debconf templates translation, closes: #377574.
  * Depend on ocaml-base-nox instead of ocaml-base on non native archs.

 -- Samuel Mimram <smimram@debian.org>  Fri, 23 Jun 2006 15:18:15 +0000

mldonkey (2.7.7-2) unstable; urgency=low

  * mldonkey_options now correctly handles \" in strings, closes: #354433.
  * Disabling DirectConnect plugin for now since it is unstable and does not
    support uploading, closes: #224836.
  * Use ucf in postrm only if present, closes: #333314.

 -- Samuel Mimram <smimram@debian.org>  Fri, 23 Jun 2006 12:05:49 +0000

mldonkey (2.7.7-1) unstable; urgency=low

  * New maintainter:
    Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>.
  * New upstream release, closes: #361173.
  * Build-depend on ocaml-nox (>= 3.09.2), closes: #369770.
  * init.d script of mldonkey-server called with stop now exits with 0 even
    when the server was not running, closes: #338875.
  * Correcly set $HOME in mldonkey_server, closes: #355913.
  * Updated debconf templates and removed mldonkey-server/mldonkey_umask,
    mldonkey-server/client_name and mldonkey-server/plugin.
  * Removed unused debconf templates: mldonkey-server/config_exist_no_options,
    mldonkey-server/config_exist_no_dir and
    mldonkey-server/shared_directories, closes: #332320.
  * Updated the Czech debconf templates translation, closes: #335353.
  * Added a .desktop file for mldonkey-gui.
  * Updated standards version to 3.7.2, no changes needed.
  * Updated the watch file.

 -- Samuel Mimram <smimram@debian.org>  Wed, 21 Jun 2006 23:15:23 +0000

mldonkey (2.7.3-2) unstable; urgency=low

  * Fix the build on alpha by using a workaround when opt compilation
    has failed (Closes: #345793)

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 14 Feb 2006 23:07:53 +0100

mldonkey (2.7.3-1) unstable; urgency=low

  * New upstream release
  * Test the presence of mlnet and mlgui, to fail ASAP if the compilation of
    one of these has failed.
  * Disable the use of --enable-ocamlver in debian/rules
  * Compile with ocaml 3.09.1 (Closes: #352638)

 -- Sylvain Le Gall <gildor@debian.org>  Tue,  7 Feb 2006 23:09:50 +0100

mldonkey (2.7.1-2) unstable; urgency=low

  * Replace libgd2-dev by libgd2-noxpm-dev in the build dependency
    (Closes: #343914)

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 20 Dec 2005 00:03:13 +0100

mldonkey (2.7.1-1) unstable; urgency=low

  * New upstream release

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 13 Dec 2005 01:26:35 +0100

mldonkey (2.7.0-1) unstable; urgency=low

  * New upstream release (Closes: #333708, #337856, #328131, #337313)
  * Fix weirdness in manpages (change xml-man/*.xml)
  * Remove hardcoded OCaml ABI
  * Apply patch 24_ocaml3.09.0_min to compile with OCaml 3.09.0

 -- Sylvain Le Gall <gildor@debian.org>  Thu,  8 Dec 2005 01:17:00 +0100

mldonkey (2.6.5-1) unstable; urgency=low

  * New upstream release
  * Fix compilation problem due to the use g++ instead of gcc
  * Apply patches :
    * 21_svg_converter: fix missing objects during the link
    * 22_mld_hash: fix partial application of Unix32.ftruncate64
    * 23_use_svg_converter_byte: always use svg_converter.byte, it could
      always build and speed is not important

 -- Sylvain Le Gall <gildor@debian.org>  Mon, 17 Oct 2005 23:53:03 +0200

mldonkey (2.6.4-1) unstable; urgency=low

  * New upstream release
  * Rework the watch file to match newer archive name (no more .tar.gz)
  * Remove patch 21_passwd_security because it is applied upstream
  * Rewrite 20_wrong_comment patch
  * Upgrade standard version to 3.6.2.0 (no change)
  * Add dependency on libgd2-dev and liblablgtk2-gnome-ocaml-dev which are now
    required to build
  * Add "--enable-soulseek --enable-opennap" to configure, in order to enable
    this two networks
  * Remove Directconnect from package description, since it is no more
    supported
  * Correct the package description (overnet is written twice)
  * Use distclean for the clean target
  * Updated vi debconf translation, thanks to Clytie Siddall
  * Check for mlnet.pid in mldonkey_server and exit if it exists

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 20 Sep 2005 00:07:22 +0200

mldonkey (2.5.28.1-1) unstable; urgency=low

  * New upstream version:
    * Fix LOWID protocol error with ed2k (Upstream: #3415,
      Debian closes: #284556, #280073)
  * Transition to ocaml 3.08.3: changes depends in control
  * Remove patch 18_utf8_encoding since it is applied upstream
  * Remove patch 19_mlgui_align since it is applied upstream
  * Depend on docbook-xsl 1.64.1 and docbook-xml 4.2-12 
    (Closes: #276750, #276751)
  * Change MDLONKEY_DIR to MLDONKEY_DIR at line 34 in the init.d file 
    (Closes: #296573, #273156)
  * Create a command "force-start" to force the start of mldonkey, even if it
    is configured not to start at startup. All other command don't take into
    account the value of the variable ( so you can stop or restart a running
    server, without knowing how it was started ) 
    (Closes: #225724)
  * Depend on dpkg 1.10.27, so that we can rely on --nicelevel doing what we
    think it does. Put a note for backporters in README.Debian 
    (Closes: #277772)
  * Add german debconf translation. Thanks to Jens Nachtigall 
    (Closes: #271727)
  * Update czech debconf translation. Thanks to Jan Outrata 
    (Closes: #271462)
  * Add vietnamese debconf translatio. Thanks to Clytie Siddall 
    (Closes: #312824)
  * Apply patches to improve the debconf templates. Thanks to Jens Nachtigall
    (Closes: #270283)
  * Change license of manpages to LGPL v2.1 
    (Closes: #281086)
  * Add "debconf-updatepo" in the target clean of debian/rules to be sure to
    be in sync for the translation 
    (Closes: #271725)
  * Add a note about the fact that mldonkey cannot use all the group assigned
    to user mldonkey due to OCaml limitation in README.Debian, explain how to
    deal with this issue
  * Create a patch to correct comments in the initial downloads.ini:
    20_wrong_comments 
    (Closes: #285231)
  * Cannot find cache.shareaza.com in the source. This seems to be present in
    release 2.5.4 but it is no more present. 
    (Closes: #231553)
  * Added script mldonkey_create_chroot and its manpage, thanks to Mick
    Kappenburg for his contribution
  * Modify mldonkey_server:
    * Add an option to configure the group that should be used when running
      mldonkey.
    * Add an option to configure the niceness of the process
    * Add sanity check :
      * Check for stale pidfile 
        (Closes: #295854)
      * Check for good permission/owner/group of files used by mldonkey. After
        better reading the patch provided in bugs 299722, i decided to replace
        a "simple" reowning of the pidfile by a complete check of permission
        and ownership. Reowning a file is not as simple as it looks like. We
        should take care of "dpkg-statoverride" et al. Moreover, i don't want
        to autoset things in the init script. If the ownership/permission of
        files are not good, there should be a real problem (as a standard
        install should set the good permission). I don't try to hide these
        problem by doing fix in the init script: i just warn the user.
        (Closes: #299722).
      * Check for stale .tmp file 
        (Closes: #283930)
    * Update the manual page according to these changes.
  * Correct the way you can change password in README.Debian, thanks to
    Spiralvoice. 
    (Closes: #312370)
  * Doesn't offer the possibility to keep the server running after upgrade:
    this option can cause a lot of problems (version mismatch between server
    and gui). 
    (Closes: #300547)
  * Use Int64 to store integer extracted from ini files, in mldonkey_files.
    This is more compliant with the way mldonkey write this value in his ini
    files.  
    (Closes: #291451)
  * Modify priority of the debconf question :
    * to priority low: run_as_user, mldonkey_group, mldonkey_umask,
      mldonkey_niceness, max_alive
    * to priority medium: mldonkey_dir (reasonable default, but are system
      specific most of the time), client_name (reasonnable default, but most
      of the time are changed by user),
    * to priority critical: reown_file (because the server cannot restart if
      the file permission are not changed),
    * So now, configuring the system with priority high only ask you 3
      question, with priority medium only 8 question.
  * Doesn't distribute anymore /etc/default/mldonkey-server. So this file is
    not automatically marked as conffile, allowing to manage it through ucf
    (Closes: #279030):
    * save the default from this file to debconf in the preinst script,
    * move mldonkey-server to mldonkey-server.bak in the preinst script,
    * generate mldonkey-server and manage it using ucf (at the same place, but
      using ucf).
    * add a note into NEWS.Debian to state this change
  * Applied patches #3919 from upstream to correct file permission, generates
    password in users.ini rather than in downloads.ini (this separation is the
    new security scheme, the file users.ini has 600 permission) 
    (Closes: #300560)
  * Fix the problem of invoke-rc.d creating a defunct process: i need to stop
    the debconf module (using db_stop in postinst)
  * Enhance mldonkey_files: add the command test, to check if some source are
    from specified network (eg fasstrack).
  * Move the fasttrack split from /etc/init.d/mldonkey-server to
    mldoney-server.postinst. 
  * Enhance mldonkey_users: add the command dump-users-section,
    strip-users-section and test-users-section, to extract users section from
    download.ini and place it in users.ini. 
  * Create users.in out of downloads.ini using mldonkey_users in
    mldonkey-server.postinst.
  * Transition to svn-buildpackage
  * Reformat the changelog to be sure to have less than 80 characters by line.
  * [JvW] Add mldonkey start init.d script at 98, not as early as the default
    location of 20.

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 30 Aug 2005 11:36:02 +0200

mldonkey (2.5.28-2) unstable; urgency=medium

  * Enhanced patch 18_utf8 ( should made mlgui works for people using UTF 8
    locale : suppose that core encoding is ISO-8859-1 )
  * Set urgency to medium in order to have mldonkey in sarge

 -- Sylvain Le Gall <gildor@debian.org>  Fri,  3 Sep 2004 23:49:26 +0200

mldonkey (2.5.28-1) unstable; urgency=high

  * New upstream release ( applied patch 15_no_gtk_config
    16_no_gtk_config_autoconf_run 17_date_in_mail )
  * Create a patch ( 18_utf8_encoding ) in order to translate to utf8 the
    string received by the gui from the core (Closes: #266676)
  * Modify the backup rules, now we build gtk2 interface, so we need to backup
    some gtk2 files.
  * Fix some GTK2 mis use of xalign/yalign.
  * Use UCF, basic parse of older configuration file to recover some default
    value (Closes: #266749)
  * Let user choose the policy concerning restart of mldonkey during upgrade (
    Closes: #265251 )
  * Add a note concerning the usage of recover_temp (Closes: #247890)
  * Use --oknodo in /etc/init.d/mldonkey-server (Closes: #267419)
  * Write a note concerning the UTF 8 encoding of the login/password
  * Set the urgency to high in order not to block ocaml to enter testing ( or
    made mldonkey leave testing )
  * Set a workaround of a possible bug in ocaml : using invoke-rc.d made the
    init script hang if start-stop-daemon is not called with --background
    option ( need further examination and test ).

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 24 Aug 2004 23:20:43 +0200

mldonkey (2.5.27-2) unstable; urgency=medium

  * Forget to add build depends on lablgtk2. Correct the detection of the
    presence of lablgtk : applied patch 15_no_gtk_config. (Closes: #265151)
  * Build with ocaml-3.08 (Closes: #264077)
  * Applied patch upstream #3291 (Closes: #265859)

 -- Sylvain Le Gall <gildor@debian.org>  Fri, 13 Aug 2004 00:03:40 +0200

mldonkey (2.5.27-1) unstable; urgency=low

  * New upstream release (Closes: #262516)
  * Add example to the mldonkey_command manpage (Closes: #259734)
  * Made mldonkey-gui suggests mldonkey-server (Closes: #259633)
  * Correct typo in mldonkey-server init script (Closes: #258138, #262769)
  * Added Czech debconf translation (Closes: #261793)
  * Redirect password prompt to stderr (Closes: #257169)

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 10 Aug 2004 22:52:52 +0200

mldonkey (2.5.21-2) unstable; urgency=low

  * Correct handling of the daemonize option in mldonkey_server. Close
    stdin, stdout, stderr after having duplicate it to /dev/null 
    (Closes: #253354)
  * Doesn't display the debconf about FASTTRACK problem (Closes: #253056)

 -- Sylvain Le Gall <gildor@debian.org>  Mon, 14 Jun 2004 21:51:34 +0200

mldonkey (2.5.21-1) unstable; urgency=low

  * New upstream release

 -- Sylvain Le Gall <gildor@debian.org>  Thu,  6 May 2004 00:51:57 +0200

mldonkey (2.5.20-2) unstable; urgency=low

  * Correct 13_tiger_tree_corruption.dpatch, since it has been partially
    applied. ( Fix FTBFS on Sparc )

 -- Sylvain Le Gall <gildor@debian.org>  Thu,  6 May 2004 00:26:56 +0200

mldonkey (2.5.20-1) unstable; urgency=low

  * New upstream version ( Closes: #247148 )
  * Revert mldonkey_server to former release one. The use of get_pwent, leads
    it to malfunction in many configuration, for detecting HOME variable. I
    reuse $HOME and use a workaround for mlnet_strings : set MLDONKEY_STRINGS 
    to $HOME/.mldonkey/mlnet_strings ( ie where i am sure i can write things
    ). ( Closes: #244652 )

 -- Sylvain Le Gall <gildor@debian.org>  Tue,  4 May 2004 23:38:59 +0200

mldonkey (2.5.17-1) unstable; urgency=low

  * New upstream release
  * Correct creation of .mldonkey directory structure. This help mldonkey to 
    be launch and finish by menu. The directory structure is exactly the same
    as before, expect a .mldonkey/.mldonkey dir which containes the
    mlnetstrings file. (Closes: #240443, #241085)
  * New french translation (Closes: #239438)
  * Correct manpages, to stat that some programs are debian specific 
    (Closes: #242695)
  * Use a patch for sparc arch, in order to downgrade bug #221704 to important
    ( still there but doesn't prevent using mldonkey ).

 -- Sylvain Le Gall <gildor@debian.org>  Thu,  8 Apr 2004 22:28:10 +0200

mldonkey (2.5.16-2) unstable; urgency=low

  * Forget to close old bugs ( see 2.5.11-1 )
    (Closes: #225254, #210174, #229360, #226484, #229862)
    (Closes: #217534, #219174, #222342, #229603, #232819)
  * Use distrib/ChangeLog as real changelog (Closes: #237132, #237282)
  * Correct typo MDLONKEY_DIR -> MLDONKEY_DIR in init script (Closes: #237191)
  * Fix the problem with starting (Closes: #237193, #237135). Longer
    explanation :
      - a new feature ( post 2.5.4 ) allows user to translate strings of mlnet
        ( ie for i18n )
      - at startup mlnet try to load an external entity
        ~/.mldonkey/mlnet_strings.en
      - but $HOME point to /root/
      - i solved the problem in mldonkey_server, which now change the dir to
        $MLDONKEY_DIR && $HOME
  * Fix a bug that prevent to stop mldonkey via init.d script ( --exec is not
    usefull ).
  * The background is now by default white (Closes: #237136)
  * Add the last check for dpkg-statoverride ( when moving files ) in order to
    prevent any chowing which are not feasable (Closes: #237205)

 -- Sylvain Le Gall <gildor@debian.org>  Mon, 15 Mar 2004 23:07:28 +0100

mldonkey (2.5.16-1) unstable; urgency=low

  * New upstream release (Closes: #232960)
  * Added catalan translation (Closes: #236660)

 -- Sylvain Le Gall <gildor@debian.org>  Mon,  8 Mar 2004 22:03:17 +0100

mldonkey (2.5.12-1) unstable; urgency=low

  * New upstream version

 -- Sylvain Le Gall <gildor@debian.org>  Mon,  1 Mar 2004 22:19:10 +0100

mldonkey (2.5.11-1) unstable; urgency=low

  * New upstream release :
     * Removes http1.1.txt, uri-res.txt uri.txt : no more RFC 
       (Closes: #225254).
     * Create a script debian/utils/purify_mldonkey to remove all part
       of mldonkey that should not appear in debian ( Fasttrack, RFC )
     * Stop using 04_no_more_unix_fd patch, since it is applied upstream 
     * Rewrite patch 01_see, since file corresponding to it has changed
       upstream.
     * Stop using 08_preliminary_server_zlib_awareness, since it is applied
       upstream ( since v 2.5.5 )
     * Stop using 09_ocaml_3_07_for_2_5_4 ( and coming along
       10_ocaml_3_07_autoconf_run ) since it has been applied upstream.
     * Added file FASTTRACK from previous version to explain the tarball is
       not the original release
  * Add a debian/watch, since mldonkey now distribute source tarball. Also
    modifies copyright
  * Modify debian/rules since gui becomes newgui and that we need to backup a
    different set of file ( still a problem of distclean ).
  * Add a section in README.Debian to explain that stat is needed for
    using this package (Closes: #210174)
  * Correction of typo in french po (Closes: #229360)
  * Use P2P as hint rather than a description (Closes: #226484)
  * Replace the use of -a by && in sh test, in  mldonkey-server.config 
    mldonkey-server.init mldonkey-server.postinst (Closes: #229862)
  * Stop sourcing the configuration file at the beginning of postinst. It
    should be written after posinst -- those implying that the configuration
    file read at the beginning is invalid (Closes: #217534)
  * Use of start-stop-daemon in init script (Closes: #219174)
  * Added MLDONKEY_NICENESS to mldonkey-server.{config|postinst|init|default}
    to enable user to choose a correct value of niceness when launching
    mldonkey (Closes: #222342)
  * According to the original submitter, then X crash was due to a non
    well formed version of lablgtk, which has been fixed in recent migration
    of lablgtk to testing. I keep track of this kind of issue, but he cannot
    reproduce the bug (Closes: #229603)
  * Reworked the <?xml declaration of manpages ( debian/xml-man/* ) in order
    to set encoding to ISO-8859-1. Move the stylesheets used to produces
    manpages from /usr/share/sgml to /usr/share/xml. (Closes: #232819)

 -- Sylvain Le Gall <gildor@debian.org>  Sun, 15 Feb 2004 17:00:00 +0100

mldonkey (2.5.4-1) unstable; urgency=low

  * New upstream version (closes: #217537)
  * Apply the patche to gets high priority by new lugdunum servers.
    Thanks to Silvestre Zabala (closes: #219830)
  * Upgrade to 3.6.1.0 policy
  * Split former patche ocaml_3_07 into two patches :
    * ocaml_3_07_for_2_5_4 ( since 2.5.4 includes the former patch )
    * ocaml_3_07_autoconf_run, which is the autoconf call with the former
      patch applied
  * remove the target configure | configure/config.status because i added 
    touch config/configure everywhere it is needed ( in particular in clean 
    which needs it in some circumstance ).
  * correct some typo in debconf (closes: #218054)
  * Patches removed because applied upstream :
     * to_mldonkey_server ( remains one line because it is always possible 
       to have mlsubmit, but it is optional, there is an option )
     * ocaml_3_07 ( but needs a fix )
     * hide_passwd
     * lugdunum

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 11 Nov 2003 23:49:59 +0100

mldonkey (2.5.3-5) unstable; urgency=medium

  * Use db_get ..password and ..repassword to be sure there is enough
    information provided, because of a problem when upgrading from a version
    with just one ask for the password 
  * Correction of typo in the config script
  * Added edonkey2000, emule, overnet to the list of supported P2P
    network (closes: #217011)
  * Move to urgency to medium, in order to respect the freeze which 
    is coming soon ( i really like to have mldonkey in the next stable release
    )

 -- Sylvain Le Gall <gildor@debian.org>  Sun, 26 Oct 2003 14:59:21 +0100

mldonkey (2.5.3-3) unstable; urgency=low

  * Use touch to make config/configure up-to-date after having patched
    it (closes: #216357)
  * Rework the 06_ocaml_3_07 to work with "ocamlc -version" outputing 3.07+2

 -- Sylvain Le Gall <gildor@debian.org>  Mon, 20 Oct 2003 21:23:59 +0200

mldonkey (2.5.3-2) unstable; urgency=low

  * Move dh_strip to arch specific part in order to strip if build with
    ocamlopt and not to strip when building with ocamlc (closes: #214121)
  * Create a patch to (closes: #213246) :
     * add the function password in configwin.ml
     * add the field string_password configwin_ihm.ml
     * use it to hide the entry associated in configwin
     * made gui_conf.ml to use password instead of string to 
       build the password entry
     * add a chmod before and after the main loop of the
       gui to set permission of .mldonkey_gui* to 0400 to
       protect the password
  * Use patch provided to enable lugdunum connection (closes: #213845)
  * Ask the user twice for password in debconf (closes: #213338 )
  * Removed all reference to fasttrack in templates
  * Added a program called mldonkey_files to filter files.ini
    which contains Fasttrack source, produce a files.ini.fasttrack which will
    stay there until Fasttrack problem will be close ( see README.Debian )
    (closes: #211568)
  * Added -custom -linkall and build in the top dir against build/cdk.cma fix
    the problem on FTBFS on arch which do not use ocamlopt for build
    mldonkey_users (closes: #212026)

 -- Sylvain Le Gall <gildor@debian.org>  Fri, 10 Oct 2003 22:39:53 +0200

mldonkey (2.5.3-1) unstable; urgency=low

  * Removed dependency on libc6-dev (closes: #199967)
  * Add a comment in debconf screen each time chroot is written to warn 
    people that this option is not yet available. ( related to i
    #204266 ). Add an entry in README.Debian to explain why.
  * Modify the code of mldonkey_server to compute correctly the 
    location of the pidfile and the chdir, only when it is needed
    (closes: #201487, #199927)
  * Create a program to manipulate user/password and interface it with 
    debconf. Add an entry about how to change password in README.Debian. 
    Allow modification of password directly in debconf screen 
    (closes: #202760)
  * Move mlgui.xpm and mlnet.xpm to debian/images. Add the official logo image
    ( official-logo.png ) to debian/images. Ignore the lintian bug about 
    menu-icon-has-bad-colors ( related to #199341 ).
  * Use the french translation of Mr Poindessous ( related to my poor
    "orthographe" ).
  * Reworked the patch system to depend on dpatch ( added dependency in
    control )
  * Added a small patch to remove the annoying "Your system support X file
    descriptor"
  * Correct the bug that was in postinst/config of mldonkey-server ( the bug
    was that it test for a /etc/default/mldonkey-server, which is always
    installed before config, in order to know if there was a previous
    installation ). (closes: #199928, #200302)
  * Remove the fasttrack directory... No more obfuscating code in mldonkey. I
    add FASTTRACK document to explain the modification of the source. 
    (closes: #200500, #205152)
  * Build in my environnement and in a pbuilder-uml environement... I can't
    reproduce the FTBFS. If anyone can repeate this FTBFS, i will reopen the
    bug (closes: #207038)
  * I update the translation to reflect the unit of upload/download ( which
    are kO/s ) (closes: #209198)

 -- Sylvain Le Gall <gildor@debian.org>  Sun, 17 Aug 2003 22:20:13 +0200

mldonkey (2.5.1-8) unstable; urgency=low

  * Fix a typo bug in debian/*.menu

 -- Sylvain Le Gall <gildor@debian.org>  Fri, 20 Jun 2003 00:18:03 +0200

mldonkey (2.5.1-7) unstable; urgency=low

  * Added mlnet.xpm and mlgui.xpm for a more beautiful menu ( from the
    official site mldonkey.berlios.de )
  * Fix lintian warning about missing #DEBHELPER# in preinst

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 19 Jun 2003 23:21:39 +0200

mldonkey (2.5.1-6) unstable; urgency=low

  * Fix some typo in fr
  * Add substvar interpreter to depend on ocaml-base if byte compilation

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 17 Jun 2003 22:19:31 +0200

mldonkey (2.5.1-5) unstable; urgency=low

  * Add preinst script to move /etc/mldonkey.conf

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 17 Jun 2003 11:00:39 +0200

mldonkey (2.5.1-4) unstable; urgency=low

  * Remove statements about the not-debian release in README.Debian ( S.
    Zacchiroli )
  * Remove the question mark of the debconf question.
  * Remove the test of DAEMON at the beginning of init script
  * Move the configuration file /etc/mldonkey.conf to
    /etc/default/mldonkey-server
  * Remove program use_tags ( doesn't seem to be useful for now )

 -- Sylvain Le Gall <gildor@debian.org>  Mon, 16 Jun 2003 20:47:07 +0200

mldonkey (2.5.1-3) unstable; urgency=low

  * Correct bug concerning "" around client_name
  * Starting from env without $HOME should work for mldonkey_server ( now )

 -- Sylvain Le Gall <gildor@debian.org>  Mon, 16 Jun 2003 01:00:41 +0200

mldonkey (2.5.1-2) unstable; urgency=low

  * Correct the automatic creation of mldonkey's directory in postinst (
    Rep. by Laurent )

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 12 Jun 2003 22:59:32 +0200

mldonkey (2.5.1-1) unstable; urgency=low

  * New upstream version
  * Added mldonkey_submit, mldonkey_server ( new ocaml program ),
   mldonkey_command
  * Added README.Debian
  * Remove make depends from debian/rules, since ./configure do it

 -- Sylvain Le Gall <gildor@debian.org>  Fri,  6 Jun 2003 13:25:20 +0200

mldonkey (2.5-1) unstable; urgency=low

  * New uptream version
  * Fix problem with mldonkey_server ( now load /usr/bin/mlnet and not
    /usr/sbin/mlnet ) ( S. Zacchiroli )
  * Fix dependency to ocaml-best-compilers ( replace ocaml-native-compilers )
    ( S. Zacchiroli )
  * Rewrite the beginning of /etc/init.d/mldonkey-server
    ( S. Zacchiroli )
  * Default value for launch_at_startup has switch to false
    ( S. Zacchiroli )

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 27 May 2003 11:46:14 +0200

mldonkey (2.4.2-1) unstable; urgency=low

  * New upstream version
  * Try to build kde_applet and gnome_applet but they seem broken
  * Fix some bug from config script
  * Remove share directory from the config because the option is too complex
  * Added Bittorent, FastTrack & Gnutella

 -- Sylvain Le Gall <gildor@debian.org>  Mon, 19 May 2003 21:17:07 +0200

mldonkey (2.04rc1-1) unstable; urgency=low

  * New upstream version
  * Go to this version directly in order to use -daemon option
  * Untested all debconf features - need further check
  

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 13 Mar 2003 23:51:15 +0100

mldonkey (2.02.9-1) unstable; urgency=low

  * New upstream release
  * Moved from the former release of Goswin to a new one
  * Keep the changelog of Goswin
  * Renamed mldonkey-cvs to mldonkey
  * Write man
  * Write debconf installation
  * Add script to start a system wide server
  * Change the mldonkey_previewer to comply with debian standard ( mplayer ->
    see )
  * Remove perl component ( for now, but i consider the possibility to ship it
    in another package )

 -- Sylvain Le Gall <gildor@debian.org>  Mon, 10 Mar 2003 22:58:42 +0100

mldonkey (2.02.1-6) unstable; urgency=low

  * can display the availability per chunk as height
  * can calculate the % availability ignoring already present chunks

 -- Goswin von Brederlow <goswin.brederlow@student.uni-tuebingen.de>  Mon, 07 Oct 2002 02:34:39 +0200

mldonkey (2.02.1-3) unstable; urgency=low

  * /usr/bin/mldonkey: cd to ~/.mldonkey again
  *                    exec real mldonkey to free shell

 -- Goswin von Brederlow <goswin.brederlow@student.uni-tuebingen.de>  Sat, 05 Oct 2002 01:21:39 +0200

mldonkey (2.02.1-2) unstable; urgency=low

  * /usr/bin/mldonkey: inervetd check for ~/.mldonkey

 -- Goswin von Brederlow <goswin.brederlow@student.uni-tuebingen.de>  Sat, 05 Oct 2002 01:19:39 +0200

mldonkey (2.02.1-1) unstable; urgency=low

  * new upstream cvs
  * show age and last seen in gui
  * only query files in state DOWNLOAD
  * prevent SIGFPE due to division by zero
  * only start download after every block has been seen at least once

 -- Goswin von Brederlow <goswin.brederlow@student.uni-tuebingen.de>  Fri, 04 Oct 2002 23:43:39 +0200

mldonkey (2.02.0-3) unstable; urgency=low

  * show age and last seen in the gui
  * update gui when file info chganges

 -- Goswin von Brederlow <goswin.brederlow@student.uni-tuebingen.de>  Fri, 13 Sep 2002 11:46:39 +0200

mldonkey (2.02.0-2) unstable; urgency=low

  * don't query for paused files
  * only add file to clinets file_list if it has new chunks
  * only add file to clinets file_list if all chunks have been seen once

 -- Goswin von Brederlow <goswin.brederlow@student.uni-tuebingen.de>  Wed, 11 Sep 2002 10:59:39 +0200

mldonkey (2.02.0-1) unstable; urgency=low

  * Initial Release

 -- Goswin von Brederlow <goswin.brederlow@student.uni-tuebingen.de>  Wed, 11 Sep 2002 10:59:39 +0200
